#!/bin/sh
# vim: set ts=2 sw=2 et ft=bash:

echo "== Loading database parameters from DATABASE_URL..."
eval "$(/usr/local/bin/parse-database-url.sh "${DATABASE_URL:-}" SYMFONY__ENV__DATABASE |sed -e 's/^/export /')"

# Rename variables
SYMFONY__ENV__DATABASE_PASSWORD="$SYMFONY__ENV__DATABASE_PASS"
export SYMFONY__ENV__DATABASE_PASSWORD

echo "== Changing entrypoint..."
exec /entrypoint.sh "$@"
